import { jsx } from "react/jsx-runtime";
import { TokenBOBA as TokenBOBA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBOBA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BOBA", "data-name": "TokenBOBA", ...props, children: /* @__PURE__ */ jsx(TokenBOBA$1, { variant }) });
  }
);
TokenBOBA.displayName = "TokenBOBA";
Object.assign(TokenBOBA, { isGdsIcon: true });
export {
  TokenBOBA
};
